CC=g++
CFLAGS=-Wall -O3 -fpermissive -std=c++11 -DOPENSSL_NO_SSL2 -DOPENSSL_USE_DEPRECATED
LDFLAGS= -lpthread -lrt -lssl -lcrypto \
-L/home/ubuntu/work/openssl-out/lib
BOOST_PATH=/home/ubuntu/work/boost_1_67_0
#======================================================
#====================== BOOST =========================
#======================================================
CFLAGS += -I$(BOOST_PATH)
#thread
LOCAL_SRC_FILES := $(BOOST_PATH)/libs/thread/src/pthread/thread.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/thread/src/pthread/once.cpp
#signals
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/signals/src/connection.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/signals/src/named_slot_map.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/signals/src/signal_base.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/signals/src/slot.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/signals/src/trackable.cpp
#system
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/system/src/error_code.cpp
#regex
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/regex/src/c_regex_traits.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/regex/src/cpp_regex_traits.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/regex/src/cregex.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/regex/src/fileiter.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/regex/src/icu.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/regex/src/instances.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/regex/src/posix_api.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/regex/src/regex.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/regex/src/regex_debug.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/regex/src/regex_raw_buffer.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/regex/src/regex_traits_defaults.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/regex/src/static_mutex.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/regex/src/usinstances.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/regex/src/w32_regex_traits.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/regex/src/wc_regex_traits.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/regex/src/wide_posix_api.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/regex/src/winstances.cpp
#date_time
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/date_time/src/gregorian/greg_month.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/date_time/src/gregorian/greg_weekday.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/date_time/src/gregorian/date_generators.cpp
#program_options
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/program_options/src/cmdline.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/program_options/src/config_file.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/program_options/src/convert.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/program_options/src/options_description.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/program_options/src/parsers.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/program_options/src/positional_options.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/program_options/src/split.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/program_options/src/utf8_codecvt_facet.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/program_options/src/value_semantic.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/program_options/src/variables_map.cpp
LOCAL_SRC_FILES += $(BOOST_PATH)/libs/program_options/src/winmain.cpp
#======================================================
#======================= APP ==========================
#======================================================
CFLAGS += -I../ \
-I/home/ubuntu/work/openssl-out/include \
-I/home/ubuntu/work/openssl \
-I/home/ubuntu/work/openssl/include
LOCAL_SRC_FILES += ../main.cpp
LOCAL_SRC_FILES += ../http/connection.cpp
LOCAL_SRC_FILES += ../http/connection_manager.cpp
LOCAL_SRC_FILES += ../http/mime_types.cpp
LOCAL_SRC_FILES += ../http/reply.cpp
LOCAL_SRC_FILES += ../http/request_handler.cpp
LOCAL_SRC_FILES += ../http/request_parser.cpp
LOCAL_SRC_FILES += ../http/server.cpp

all:
	$(CC) $(LOCAL_SRC_FILES) $(CFLAGS) $(LDFLAGS) -o proxyServerTest
